Loading...
Searching...
No Matches
volk_32f_x2_add_32f.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <immintrin.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32f_x2_add_32f_a_H

## Functions

static void | volk_32f_x2_add_32f_u_avx (float *cVector, const float *aVector, const float *bVector, unsigned int num_points)
static void | volk_32f_x2_add_32f_u_sse (float *cVector, const float *aVector, const float *bVector, unsigned int num_points)
static void | volk_32f_x2_add_32f_generic (float *cVector, const float *aVector, const float *bVector, unsigned int num_points)
static void | volk_32f_x2_add_32f_a_avx (float *cVector, const float *aVector, const float *bVector, unsigned int num_points)
static void | volk_32f_x2_add_32f_a_sse (float *cVector, const float *aVector, const float *bVector, unsigned int num_points)
static void | volk_32f_x2_add_32f_u_neon (float *cVector, const float *aVector, const float *bVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_x2_add_32f_a_H

#define INCLUDED_volk_32f_x2_add_32f_a_H

## Function Documentation

## volk_32f_x2_add_32f_a_avx()

void volk_32f_x2_add_32f_a_avx | ( | float * | cVector,
|  | const float * | aVector,
|  | const float * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_add_32f_a_sse()

void volk_32f_x2_add_32f_a_sse | ( | float * | cVector,
|  | const float * | aVector,
|  | const float * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_add_32f_generic()

void volk_32f_x2_add_32f_generic | ( | float * | cVector,
|  | const float * | aVector,
|  | const float * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_add_32f_u_avx()

void volk_32f_x2_add_32f_u_avx | ( | float * | cVector,
|  | const float * | aVector,
|  | const float * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_add_32f_u_neon()

void volk_32f_x2_add_32f_u_neon | ( | float * | cVector,
|  | const float * | aVector,
|  | const float * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_add_32f_u_sse()

void volk_32f_x2_add_32f_u_sse | ( | float * | cVector,
|  | const float * | aVector,
|  | const float * | bVector,
|  | unsigned int | num_points )

inline static